path-0.9.6: Support for well-typed paths

Safe Haskell | None
Language | Haskell2010

System.OsString.Compat.Windows

Contents

- Orphan instances

Synopsis

- newtype WindowsString = WindowsString {
  - getWindowsString :: ShortByteString
  }
- newtype WindowsChar = WindowsChar {
  - getWindowsChar :: Word16
  }
- module System.OsString.Windows

# Documentation

newtype WindowsString Source #

Commonly used windows string as wide character bytes.

Constructors

WindowsString |

Fields

- getWindowsString :: ShortByteString

#### Instances

Instances details

NFData WindowsString |
Instance details Defined in System.OsString.Internal.Types Methods rnf :: WindowsString -> () Source #
Monoid WindowsString |
Instance details Defined in System.OsString.Internal.Types Methods mempty :: WindowsString Source # mappend :: WindowsString -> WindowsString -> WindowsString Source # mconcat :: [WindowsString] -> WindowsString Source #
Semigroup WindowsString |
Instance details Defined in System.OsString.Internal.Types Methods (<>) :: WindowsString -> WindowsString -> WindowsString Source # sconcat :: NonEmpty WindowsString -> WindowsString Source # stimes :: Integral b => b -> WindowsString -> WindowsString Source #
Data WindowsString Source # |

Instance details

Defined in System.OsString.Compat.Windows

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> WindowsString -> c WindowsString Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c WindowsString Source #

toConstr :: WindowsString -> Constr Source #

dataTypeOf :: WindowsString -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c WindowsString) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c WindowsString) Source #

gmapT :: (forall b. Data b => b -> b) -> WindowsString -> WindowsString Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> WindowsString -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> WindowsString -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> WindowsString -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> WindowsString -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> WindowsString -> m WindowsString Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> WindowsString -> m WindowsString Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> WindowsString -> m WindowsString Source #

Generic WindowsString |

Instance details

Defined in System.OsString.Internal.Types

Associated Types

type Rep WindowsString |
Instance details Defined in System.OsString.Internal.Types type Rep WindowsString = D1 ('MetaData "WindowsString" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "WindowsString" 'PrefixI 'True) (S1 ('MetaSel ('Just "getWindowsString") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ShortByteString)))

Methods

from :: WindowsString -> Rep WindowsString x Source #

to :: Rep WindowsString x -> WindowsString Source #

Show WindowsString | Decodes as UCS-2.
Instance details Defined in System.OsString.Internal.Types Methods showsPrec :: Int -> WindowsString -> ShowS Source # show :: WindowsString -> String Source # showList :: [WindowsString] -> ShowS Source #
Eq WindowsString |
Instance details Defined in System.OsString.Internal.Types Methods (==) :: WindowsString -> WindowsString -> Bool Source # (/=) :: WindowsString -> WindowsString -> Bool Source #
Ord WindowsString |

Instance details

Defined in System.OsString.Internal.Types

Methods

compare :: WindowsString -> WindowsString -> Ordering Source #

(<) :: WindowsString -> WindowsString -> Bool Source #

(<=) :: WindowsString -> WindowsString -> Bool Source #

(>) :: WindowsString -> WindowsString -> Bool Source #

(>=) :: WindowsString -> WindowsString -> Bool Source #

max :: WindowsString -> WindowsString -> WindowsString Source #

min :: WindowsString -> WindowsString -> WindowsString Source #

Lift WindowsString |
Instance details Defined in System.OsString.Internal.Types Methods lift :: Quote m => WindowsString -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => WindowsString -> Code m WindowsString Source #
type Rep WindowsString |
Instance details Defined in System.OsString.Internal.Types type Rep WindowsString = D1 ('MetaData "WindowsString" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "WindowsString" 'PrefixI 'True) (S1 ('MetaSel ('Just "getWindowsString") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ShortByteString)))

newtype WindowsChar Source #

Constructors

WindowsChar |

Fields

- getWindowsChar :: Word16

#### Instances

Instances details

NFData WindowsChar |
Instance details Defined in System.OsString.Internal.Types Methods rnf :: WindowsChar -> () Source #
Generic WindowsChar |

Instance details

Defined in System.OsString.Internal.Types

Associated Types

type Rep WindowsChar |
Instance details Defined in System.OsString.Internal.Types type Rep WindowsChar = D1 ('MetaData "WindowsChar" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "WindowsChar" 'PrefixI 'True) (S1 ('MetaSel ('Just "getWindowsChar") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Word16)))

Methods

from :: WindowsChar -> Rep WindowsChar x Source #

to :: Rep WindowsChar x -> WindowsChar Source #

Show WindowsChar |
Instance details Defined in System.OsString.Internal.Types Methods showsPrec :: Int -> WindowsChar -> ShowS Source # show :: WindowsChar -> String Source # showList :: [WindowsChar] -> ShowS Source #
Eq WindowsChar |
Instance details Defined in System.OsString.Internal.Types Methods (==) :: WindowsChar -> WindowsChar -> Bool Source # (/=) :: WindowsChar -> WindowsChar -> Bool Source #
Ord WindowsChar |

Instance details

Defined in System.OsString.Internal.Types

Methods

compare :: WindowsChar -> WindowsChar -> Ordering Source #

(<) :: WindowsChar -> WindowsChar -> Bool Source #

(<=) :: WindowsChar -> WindowsChar -> Bool Source #

(>) :: WindowsChar -> WindowsChar -> Bool Source #

(>=) :: WindowsChar -> WindowsChar -> Bool Source #

max :: WindowsChar -> WindowsChar -> WindowsChar Source #

min :: WindowsChar -> WindowsChar -> WindowsChar Source #

type Rep WindowsChar |
Instance details Defined in System.OsString.Internal.Types type Rep WindowsChar = D1 ('MetaData "WindowsChar" "System.OsString.Internal.Types" "os-string-2.0.7-inplace" 'True) (C1 ('MetaCons "WindowsChar" 'PrefixI 'True) (S1 ('MetaSel ('Just "getWindowsChar") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Word16)))

module System.OsString.Windows

# Orphan instances

Data WindowsString Source # |

Instance details

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> WindowsString -> c WindowsString Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c WindowsString Source #

toConstr :: WindowsString -> Constr Source #

dataTypeOf :: WindowsString -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c WindowsString) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c WindowsString) Source #

gmapT :: (forall b. Data b => b -> b) -> WindowsString -> WindowsString Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> WindowsString -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> WindowsString -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> WindowsString -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> WindowsString -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> WindowsString -> m WindowsString Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> WindowsString -> m WindowsString Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> WindowsString -> m WindowsString Source #